#!/bin/sh

if [ "$1" = "-T" ]; then
	echo -n "(c) ISPsystem.com"
	exit 0
fi


DIR=/etc/ssl/certs
echo $DIR/dhparam1024.pem

if test -f $DIR/dhparam1024.pem;
then
echo "Next...";
else
openssl dhparam -out $DIR/dhparam1024.pem 1024;
fi

if test -f $DIR/dhparam2048.pem;
then
echo "Next...";
else
openssl dhparam -out $DIR/dhparam2048.pem 2048;
fi

if test -f $DIR/dhparam4096.pem;
then
echo "End";
else
openssl dhparam -out $DIR/dhparam4096.pem 4096;
fi
